﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="console.aspx.vb" Inherits="ArcanaDevelopment.adTempus.WebConsole.console" MasterPageFile="Site.Master" Title="adTempus Console" %>
<%@ Register src="~/controls/JobList.ascx" tagname="JobList" tagprefix="uc1" %>
<%@ Register src="~/controls/Alerts.ascx" tagname="Alerts" tagprefix="uc1" %>
<%@ Register src="~/controls/FailedJobs.ascx" tagname="FailedJobs" tagprefix="uc1" %>
<%@ Register src="~/controls/JobMonitor.ascx" tagname="JobMonitor" tagprefix="uc1" %>
<asp:Content runat="server" ContentPlaceHolderID="MainContent">
    <telerik:RadAjaxManagerProxy runat="server" ID="ajaxManager1" >
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadTreeView1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadTreeView1" UpdatePanelCssClass="" />
                    <telerik:AjaxUpdatedControl ControlID="rightPanePanel" UpdatePanelCssClass="" LoadingPanelID="LoadingPanel1" />
                    <telerik:AjaxUpdatedControl ControlID="footerPanel" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="Timer1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadTreeView1" UpdatePanelCssClass="" />
                    <telerik:AjaxUpdatedControl ControlID="rightPanePanel" UpdatePanelCssClass="" LoadingPanelID="LoadingPanel1" />
                    <telerik:AjaxUpdatedControl ControlID="footerPanel" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnRefresh">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadTreeView1" UpdatePanelCssClass="" />
                    <telerik:AjaxUpdatedControl ControlID="rightPanePanel" UpdatePanelCssClass="" LoadingPanelID="LoadingPanel1" />
                    <telerik:AjaxUpdatedControl ControlID="footerPanel" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
        </telerik:RadAjaxManagerProxy>

<telerik:RadSplitter ID="RadSplitter1" Runat="server" Orientation="Vertical" Width="100%" Height="100%">
    <telerik:RadPane runat="server" ID="leftPane" Width="300" Height="100%"><telerik:RadTreeView ID="RadTreeView1" Runat="server"></telerik:RadTreeView>

    </telerik:RadPane>
    <telerik:RadSplitBar id="RadSplitBar1" runat="server" />
    <telerik:RadPane runat="server" ID="rightPane">


    <telerik:RadWindowManager id="windowManager1" runat="server"  
        VisibleStatusbar="False" VisibleTitlebar="True" Behaviors="Close,Move,Resize"  Modal="true" ReloadOnShow="true"  ShowContentDuringLoad="false"  DestroyOnClose="false"
         Width="800" Height="600"
        >
        <Windows>
            <telerik:RadWindow runat="server" ID="executeJob" Width="800" Height="600" Modal="true" />
            <telerik:RadWindow runat="server" ID="terminateInstance" ShowContentDuringLoad="false" ReloadOnShow="true" Width="800" Height="600" Modal="true" />
            <telerik:RadWindow runat="server" ID="viewInstance" ShowContentDuringLoad="false" ReloadOnShow="true"  Width="800" Height="600" Behaviors="Close,Move,Reload" />
            <telerik:RadWindow runat="server" ID="viewMessage" ShowContentDuringLoad="false" ReloadOnShow="true"  Width="800" Height="600" Behaviors="Close,Move,Reload" />
        </Windows>

    </telerik:RadWindowManager>

        <telerik:RadAjaxLoadingPanel ID="LoadingPanel1" runat="server" Skin="Default"/>
        <asp:Panel runat="server" ID="rightPanePanel" CssClass="FullHeight">
            <uc1:JobList runat="server" id="joblist1"  Visible="false"/>
            <uc1:Alerts runat="server" id="alertsPanel"  Visible="false"/>
            <uc1:FailedJobs runat="server" id="failedJobsPanel"  Visible="false"/>
            <uc1:JobMonitor runat="server" id="jobMonitorPanel"  Visible="false"/>
        </asp:Panel>
    </telerik:RadPane>

</telerik:RadSplitter>
    <asp:Panel runat="server" ID="footerPanel" CssClass="ClockFooter">
        &nbsp;<telerik:RadButton runat="server" ButtonType="StandardButton" Width="16" Height="16" ID="btnRefresh" Image-ImageUrl="images/refresh.png" CssClass="RefreshButton" ToolTip="Refresh view now"/>&nbsp;
        Server Time: <asp:Literal runat="server" ID="serverTime" />
        </asp:Panel>
    <asp:Timer ID="Timer1" runat="server" Interval="30000" Enabled="true"/>
</asp:Content>

