﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="Alerts.ascx.vb" Inherits="ArcanaDevelopment.adTempus.WebConsole.Alerts" %>
<%@ Register Src="~/controls/MessageList.ascx" TagName="MessageList" TagPrefix="uc1" %>
<telerik:RadAjaxManagerProxy runat="server" ID="radajaxmanagerproxy1">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="btnAcknowledgeAll">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="contentPanel" UpdatePanelCssClass="" LoadingPanelID="LoadingPanel1"/>
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</telerik:RadAjaxManagerProxy>
<asp:Panel runat="server" ID="contentPanel">
    <p>This view lists alerts that have not been acknowledged by any user.</p>
    <p>
        To acknowledge a single alert, right-click the instance and select the <b>Acknowledge</b> command.<br />
        To acknowledge the status of all listed alerts, click <b>Acknowledge All</b> (this will only update messages that you have permission for).
    </p>

    <p>Acknowledging an alert removes it from this list for you and all other users. The alert can still be found in the Message Log Query.</p>

    
    <div><telerik:RadButton runat="server" ID="btnAcknowledgeAll" Text="Acknowledge All"/></div>
        <div style="height: 500px;margin-top:10px;">
            <uc1:MessageList ID="messageList1" runat="server" ShowJobName="true" />
        </div>
    



</asp:Panel>
        <telerik:RadAjaxLoadingPanel ID="LoadingPanel1" runat="server" Skin="Default"/>
