﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="FailedJobs.ascx.vb" Inherits="ArcanaDevelopment.adTempus.WebConsole.FailedJobs" %>
<%@ Register Src="~/controls/InstanceList.ascx" TagName="InstanceList" TagPrefix="uc1" %>
<telerik:RadAjaxManagerProxy runat="server" ID="radajaxmanagerproxy1">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="cbIncludeWarning">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="contentPanel" LoadingPanelID="LoadingPanel1" UpdatePanelCssClass="Fill" />
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="btnAcknowledgeAll">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="contentPanel" LoadingPanelID="LoadingPanel1" UpdatePanelCssClass="Fill" />
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</telerik:RadAjaxManagerProxy>

<asp:Panel runat="server" ID="contentPanel" CssClass="Fill">
    <p>This view lists all failed job instances that have not been acknowledged by any user.</p>

<p>To acknowledge a single failed instance, right-click the instance and select the <b>Acknowledge</b> command.<br />
To acknowledge the status of all listed instances, click <b>Acknowledge All</b> (this will only update instances that you have permission for).</p>

<p>Acknowledging an instance removes it from this list for you and all other users. The instance can still be found as a failed instance in the history query.</p>

    <p><asp:CheckBox runat="server" Checked="true" ID="cbIncludeWarning" Text="Also show instances that completed with warnings"  AutoPostBack="true"/></p>
        <p><telerik:RadButton runat="server" ID="btnAcknowledgeAll" Text="Acknowledge All"/></p>
        <uc1:InstanceList ID="instanceList1" runat="server" ShowJobName="true" />

</asp:Panel>

        <telerik:RadAjaxLoadingPanel ID="LoadingPanel1" runat="server" Skin="Default"/>
