﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="InstanceStepList.ascx.vb" Inherits="ArcanaDevelopment.adTempus.WebConsole.InstanceStepList" %>
<telerik:RadAjaxManagerProxy runat="server" ID="radAjaxManager1">
    <AjaxSettings>
    </AjaxSettings>

</telerik:RadAjaxManagerProxy>
    <telerik:RadCodeBlock runat="server" ID="RadCodeBlock2">
        <script type="text/javascript">
            function StepRowContextMenu(sender, eventArgs) {
                RowContextMenu(sender, eventArgs, "<%=stepContextMenu.ClientID%>", "radStepGridClickedRowIndex");
            }

            function StepContextMenuClick(sender, eventArgs) {
                var item = eventArgs.get_item();
                item.get_parent().hide();
                var navigateUrl = item.get_navigateUrl();
                var command = item.get_value();

                switch (command) {
                    case 'View':
                        var oWnd = $find("<%=windowManager1.ClientID%>").open(navigateUrl, "viewStep");
                        oWnd.set_modal(true);
                        eventArgs.set_cancel(true);
                        break;
                }
            }

            function StepRowDoubleClick(sender, eventArgs) {
                var oid = eventArgs.getDataKeyValue("OID");
                var oWnd = $find("<%=windowManager1.ClientID%>").open('<%#ViewStepURL%>&amp;step=' + oid, "viewStep");
                oWnd.set_modal(true);
            }

        </script>
    </telerik:RadCodeBlock>

        <telerik:RadGrid runat="server" ID="stepGrid" AutoGenerateColumns="False" CellSpacing="0" GridLines="None" 
             AllowSorting="True"  Height="99%"
            >
            <ClientSettings EnableAlternatingItems="False" EnablePostBackOnRowClick="True" >
                <ClientEvents OnRowContextMenu="StepRowContextMenu" />
                <Scrolling  AllowScroll="true" UseStaticHeaders="true" />
                <Resizing AllowColumnResize="true" ResizeGridOnColumnResize="true" AllowResizeToFit="true" />
            </ClientSettings>
            <MasterTableView DataKeyNames="OID" ClientDataKeyNames="OID" TableLayout="Fixed">
                <Columns>
                    <telerik:GridBoundColumn DataField="Icon" HeaderText="" UniqueName="Icon" HeaderStyle-Width="32px"/>
                    <telerik:GridBoundColumn DataField="StepNumber" HeaderText="Step" UniqueName="StepNumber" HeaderStyle-Width="60px" />
                    <telerik:GridBoundColumn DataField="Result" HeaderText="Result" UniqueName="Result"  />
                    <telerik:GridBoundColumn DataField="StatusDescription" HeaderText="Status" UniqueName="StatusDescription" HeaderStyle-Width="15em" />
                    <telerik:GridBoundColumn DataField="ExecutionStart" HeaderText="Start" UniqueName="ExecutionStart" HeaderStyle-Width="12em" />
                    <telerik:GridBoundColumn DataField="ExecutionFinish" HeaderText="Finish" UniqueName="ExecutionFinish" HeaderStyle-Width="12em" />
                </Columns>
            </MasterTableView>
    
        </telerik:RadGrid>
<input type="hidden" id="radStepGridClickedRowIndex" name="radStepGridClickedRowIndex" />
    <telerik:RadContextMenu ID="stepContextMenu" runat="server" OnClientItemClicking="StepContextMenuClick" >
        <Items>
        </Items>
    </telerik:RadContextMenu>


<asp:Panel runat="server" ID="windowPanel">
        <telerik:RadWindowManager id="windowManager1" runat="server"  
        VisibleStatusbar="False" VisibleTitlebar="True" Behaviors="Close,Move"  Modal="true" ReloadOnShow="true"  ShowContentDuringLoad="false"  DestroyOnClose="false"
         Width="800" Height="600"
        >
        <Windows>
            <telerik:RadWindow runat="server" ID="viewStep" ShowContentDuringLoad="false" ReloadOnShow="true"  Width="800" Height="600" Behaviors="Close,Move,Reload">

            </telerik:RadWindow>

        </Windows>

    </telerik:RadWindowManager>

</asp:Panel>