﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="JobStatistics.ascx.vb" Inherits="ArcanaDevelopment.adTempus.WebConsole.JobStatistics" %>
<asp:Panel runat="server" CssClass="StatisticsTab" ID="statisticsPanel">
    <asp:Label runat="server" AssociatedControlID="totalExecutions" Text="Total Executions:" />
    <asp:Literal ID="totalExecutions" runat="server" Text="<%#JobStatus.TotalExecutions%>" /><br />

    <asp:Label runat="server" AssociatedControlID="totalExecutionTime" Text="Total Execution Time:" />
    <asp:Literal ID="totalExecutionTime" runat="server" Text="<%#ArcanaDevelopment.adTempus.Shared.DateTimeHandling.FormatSeconds(JobStatus.TotalTime)%>" /><br />

    <asp:Label runat="server" AssociatedControlID="averageExecutionTimeDisplay" Text="Average Execution Time:" />
    <asp:Literal ID="averageExecutionTimeDisplay" runat="server" Text="<%#AverageExecutionTime%>" /><br />

    <asp:Label runat="server" AssociatedControlID="totalprocessorTime" Text="Total processor Time:" />
    <asp:Literal ID="totalprocessorTime" runat="server" Text="<%#ArcanaDevelopment.adTempus.Shared.DateTimeHandling.FormatTimespan(TimeSpan.FromMilliseconds(JobStatus.KernelModeTime + JobStatus.UserModeTime))%>" /><br />

    <asp:Label runat="server" AssociatedControlID="averageprocessorTimeDisplay" Text="Average processor Time:" />
    <asp:Literal ID="averageprocessorTimeDisplay" runat="server" Text="<%#AverageprocessorTime%>" /><br />
    Note: Processor times only reflect Program Execution and Script tasks.
</asp:Panel>
