﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="MessageList.ascx.vb" Inherits="ArcanaDevelopment.adTempus.WebConsole.MessageList" %>
<telerik:RadAjaxManagerProxy runat="server" ID="radAjaxManager1">

</telerik:RadAjaxManagerProxy>
    <telerik:RadScriptBlock runat="server">
        <script type="text/javascript">

            function messageListToolbarItemClick(sender, args) {
                var item = args.get_item();
                var navigateUrl = item.get_navigateUrl();

                switch (item.get_commandName()) {
                    case 'ViewMessage':
                        args.set_cancel(true);
                        window.radopen(navigateUrl, "viewMessage");
                        break;
                }
            }

        </script>
    </telerik:RadScriptBlock>
        <telerik:RadToolBar ID="MessageListToolBar" runat="server" OnClientButtonClicking="messageListToolbarItemClick" Width="100%">

            <Items>
                <telerik:RadToolBarButton ID="btnViewMessage" runat="server" Text="View..." Enabled="false" CommandName="ViewMessage" />
                <telerik:RadToolBarButton ID="btnAcknowledgeMessage" runat="server" Text="Acknowledge" Visible="false" CommandName="AcknowledgeMessage" />
            </Items>

        </telerik:RadToolBar>

        <telerik:RadGrid runat="server" ID="messageGrid" AutoGenerateColumns="False" CellSpacing="0" GridLines="None" 
             AllowSorting="True"  Height="99%"
            >
            <ClientSettings EnableAlternatingItems="False" EnablePostBackOnRowClick="True" >
                <Scrolling  AllowScroll="true" UseStaticHeaders="true" />
                <Resizing AllowColumnResize="true" ResizeGridOnColumnResize="true" AllowResizeToFit="true" />
            </ClientSettings>
            <MasterTableView DataKeyNames="OID" ClientDataKeyNames="OID" TableLayout="Fixed">
                <Columns>
                    <telerik:GridBoundColumn DataField="MessageIcon" HeaderText="" UniqueName="MessageIcon" HeaderStyle-Width="32px"/>
                    <telerik:GridBoundColumn DataField="JobName" HeaderText="Job" UniqueName="JobName" />
                    <telerik:GridBoundColumn DataField="InstanceID" HeaderText="Instance" UniqueName="InstanceID" HeaderStyle-Width="60px" />
                    <telerik:GridBoundColumn DataField="MessageID" HeaderText="Code" UniqueName="MessageID" HeaderStyle-Width="60px" />
                    <telerik:GridBoundColumn DataField="MessageTimestamp" HeaderText="Timestamp" UniqueName="MessageTimestamp" HeaderStyle-Width="12em"  />
                    <telerik:GridBoundColumn DataField="StepNumber" HeaderText="Step" UniqueName="StepNumber" HeaderStyle-Width="60px" />
                    <telerik:GridBoundColumn DataField="MessageText" HeaderText="Message" UniqueName="MessageText" />
                    <telerik:GridBoundColumn DataField="ComputerName" HeaderText="Computer" UniqueName="ComputerName" HeaderStyle-Width="15em" />
                </Columns>
            </MasterTableView>
    
        </telerik:RadGrid>
<input type="hidden" id="radMessageGridClickedRowIndex" name="radMessageGridClickedRowIndex"  runat="server"/>


