﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="InstanceList.ascx.vb" Inherits="ArcanaDevelopment.adTempus.WebConsole.InstanceList" %>
<telerik:RadAjaxManagerProxy runat="server" ID="radAjaxManager1">

</telerik:RadAjaxManagerProxy>
    <telerik:RadScriptBlock runat="server" >
        <script type="text/javascript">

			function instanceListToolbarItemClick(sender, args) {
			    var item = args.get_item();
			    var navigateUrl = item.get_navigateUrl();

			    switch (item.get_commandName()) {
			        case 'TerminateInstance':
			            args.set_cancel(true);
			            window.radopen(navigateUrl, "terminateInstance");
			            break;

                    case 'ViewInstance':
			            args.set_cancel(true);
			            window.radopen(navigateUrl, "viewInstance");
			            break;

			    }
			}
        </script>
    </telerik:RadScriptBlock>

        <telerik:RadToolBar ID="InstanceListToolBar" runat="server" OnClientButtonClicking="instanceListToolbarItemClick" Width="100%">

            <Items>
                <telerik:RadToolBarButton ID="btnViewInstance" runat="server" Text="View..." Enabled="false" CommandName="ViewInstance" />
                <telerik:RadToolBarButton ID="btnAcknowledgeInstance" runat="server" Text="Acknowledge Status" Visible="false" CommandName="AcknowledgeInstance" />
                <telerik:RadToolBarButton ID="btnTerminateInstance" runat="server" Text="Terminate..." Visible="false" CommandName="TerminateInstance" />
                <telerik:RadToolBarButton ID="btnForceExecution" runat="server" Text="Force Execution" Visible="false" CommandName="ForceExecution" />
            </Items>

        </telerik:RadToolBar>

        <telerik:RadGrid runat="server" ID="instanceGrid" AutoGenerateColumns="False" CellSpacing="0" GridLines="None" 
             AllowSorting="True" 
            >
            <ClientSettings EnableAlternatingItems="False" EnablePostBackOnRowClick="True" >
                <Scrolling  AllowScroll="true" UseStaticHeaders="true" />
                <Resizing AllowColumnResize="true" ResizeGridOnColumnResize="true" AllowResizeToFit="true" />
            </ClientSettings>
            <MasterTableView DataKeyNames="Identity" TableLayout="Fixed">
                <Columns>
                    <telerik:GridBoundColumn DataField="Icon" HeaderText="" UniqueName="Icon" HeaderStyle-Width="32px"/>
                    <telerik:GridBoundColumn DataField="ComputerName" HeaderText="Computer" UniqueName="ComputerName"/>
                    <telerik:GridBoundColumn DataField="JobName" HeaderText="Job" UniqueName="JobName" />
                    <telerik:GridBoundColumn DataField="InstanceID" HeaderText="Instance" UniqueName="InstanceID" HeaderStyle-Width="60px" />
                    <telerik:GridBoundColumn DataField="LastStep" HeaderText="Step" UniqueName="LastStep" HeaderStyle-Width="60px" />
                    <telerik:GridBoundColumn DataField="LastCheckpoint" HeaderText="Checkpoint" UniqueName="LastCheckpoint"/>
                    <telerik:GridBoundColumn DataField="Status" HeaderText="Status" UniqueName="Status" />
                    <telerik:GridBoundColumn DataField="StartTime" HeaderText="Start" UniqueName="StartTime" HeaderStyle-Width="12em" />
                    <telerik:GridBoundColumn DataField="FinishTime" HeaderText="Finish" UniqueName="FinishTime" HeaderStyle-Width="12em" />
                </Columns>
            </MasterTableView>
    
        </telerik:RadGrid>
<input type="hidden" id="radInstanceGridClickedRowIndex" name="radInstanceGridClickedRowIndex" runat="server" />


