﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="JobList.ascx.vb" Inherits="ArcanaDevelopment.adTempus.WebConsole.JobList"  %>
<%@ Register src="~/controls/InstanceList.ascx" tagname="InstanceList" tagprefix="uc1" %>
<%@ Register src="~/controls/MessageList.ascx" tagname="MessageList" tagprefix="uc1" %>
<%@ Register src="~/controls/JobStatistics.ascx" tagname="JobStatistics" tagprefix="uc1" %>
<telerik:RadAjaxManagerProxy runat="server" ID="radAjaxManager1">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="jobGrid">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="jobGrid" />
                <telerik:AjaxUpdatedControl ControlID="JobContextMenu" />
                <telerik:AjaxUpdatedControl ControlID="bottomPanePanel" LoadingPanelID="LoadingPanel1" UpdatePanelCssClass="" />
                <telerik:AjaxUpdatedControl ControlID="JobListToolBar" />
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</telerik:RadAjaxManagerProxy>
<telerik:RadSplitter ID="RadSplitter1" Runat="server" Orientation="Horizontal">
    <telerik:RadPane runat="server" ID="topPane" Width="100%" Height="100%">

    <telerik:RadCodeBlock runat="server" ID="RadCodeBlock2">
        <script type="text/javascript">
			
			function jobListToolbarItemClick(sender, args) {
			    var item = args.get_item();
			    var navigateUrl = item.get_navigateUrl();

			    switch (item.get_commandName()) {
			        case 'RunJob':
			            args.set_cancel(true);
			            window.radopen(navigateUrl, "executeJob");
			            break;

			    }
			}
        </script>
    </telerik:RadCodeBlock>

        <telerik:RadToolBar ID="JobListToolBar" runat="server" OnClientButtonClicking="jobListToolbarItemClick" Width="100%">

            <Items>
                <telerik:RadToolBarButton ID="btnRunjob" runat="server" Text="Run..." Enabled="false" CommandName="RunJob" >
                </telerik:RadToolBarButton>
            </Items>

        </telerik:RadToolBar>
        <telerik:RadGrid runat="server" ID="jobGrid" AutoGenerateColumns="False" AllowSorting="True" Width="100%">

            <ClientSettings EnableAlternatingItems="False" EnablePostBackOnRowClick="True">
                <ClientEvents />
                <Scrolling AllowScroll="true" UseStaticHeaders="true" />
                <Resizing AllowColumnResize="true" ResizeGridOnColumnResize="true" AllowResizeToFit="true" />
            </ClientSettings>
            <MasterTableView DataKeyNames="OID" ClientDataKeyNames="OID" TableLayout="Fixed">
                <Columns>
                    <telerik:GridBoundColumn DataField="Icon" HeaderText="" UniqueName="Icon" HeaderStyle-Width="32px"/>
                    <telerik:GridBoundColumn DataField="Name" HeaderText="Name" UniqueName="Name"/>
                    <telerik:GridBoundColumn DataField="Status" HeaderText="Status" UniqueName="Status" HeaderStyle-Width="12em" />
                    <telerik:GridBoundColumn DataField="NextStart" HeaderText="Next Start" UniqueName="NextStart" HeaderStyle-Width="12em" />
                    <telerik:GridBoundColumn DataField="LastStart" HeaderText="Last Start" UniqueName="LastStart" HeaderStyle-Width="12em" />
                    <telerik:GridBoundColumn DataField="LastFinish" HeaderText="Last Finish" UniqueName="LastFinish" HeaderStyle-Width="12em" />
                </Columns>
            </MasterTableView>
    
        </telerik:RadGrid>
    </telerik:RadPane>
    <telerik:RadSplitBar id="RadSplitBar1" runat="server" />
    <telerik:RadPane runat="server" ID="bottomPane" CssClass="Fill">
        <asp:Panel runat="server" ID="bottomPanePanel" CssClass="Fill" >
            <telerik:RadMultiPage ID="RadMultiPage1" runat="server" CssClass="MultiPageWithBottomTabs" SelectedIndex="0" >
                <telerik:RadPageView runat="server" ID="historyPage" >
                    <uc1:InstanceList runat="server" ID="instanceList1"  />
                </telerik:RadPageView>
                <telerik:RadPageView runat="server" ID="jobLogPage"  Height="100%" Width="100%">
                    <uc1:MessageList runat="server" ID="messageList1" />
                </telerik:RadPageView>
                <telerik:RadPageView runat="server" ID="statisticsPage"  Height="100%" Width="100%">
                    <uc1:JobStatistics runat="server" id="statisticsPanel" />
                </telerik:RadPageView>
            </telerik:RadMultiPage>
            <telerik:RadTabStrip ID="bottomTabs" runat="server" MultiPageID="RadMultiPage1" Orientation="HorizontalBottom" ShowBaseLine="True" SelectedIndex="0">
                <Tabs>
                    <telerik:RadTab runat="server" Text="History" Selected="true" >
                    </telerik:RadTab>
                    <telerik:RadTab runat="server" Text="Job Log">
                    </telerik:RadTab>
                    <telerik:RadTab runat="server" Text="Statistics">
                    </telerik:RadTab>
                </Tabs>
            </telerik:RadTabStrip>
        </asp:Panel>
    </telerik:RadPane>

</telerik:RadSplitter>
        <telerik:RadAjaxLoadingPanel ID="LoadingPanel1" runat="server" Skin="Default"/>

