﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="viewinstance.aspx.vb" Inherits="ArcanaDevelopment.adTempus.WebConsole.viewinstance"  MasterPageFile="~/dialog.master" Title="Instance Details"%>
<%@ Register src="~/controls/MessageList.ascx" tagname="MessageList" tagprefix="uc1" %>
<%@ Register src="~/controls/InstanceStepList.ascx" tagname="InstanceStepList" tagprefix="uc1" %>
<%@ Register src="~/controls/CapturedFileList.ascx" tagname="CapturedFileList" tagprefix="uc1" %>
<asp:Content runat="server" ContentPlaceHolderID="MainContent">
<div class="ViewInstance">
    <p><b>Job <%#JobName%><br />
        Instance <%#Instance.InstanceID %>
        </b>
    </p>
    <telerik:RadTabStrip runat="server" ID="instanceTabs" SelectedIndex="0" MultiPageID="RadMultiPage1">
        <Tabs>
            <telerik:RadTab runat="server" Selected="true"  Text="Job" />
            <telerik:RadTab runat="server" Text="Log" />
            <telerik:RadTab runat="server" Text="Steps" />
            <telerik:RadTab runat="server" Text="Captured Files" />
            <telerik:RadTab runat="server" Text="Comments" />
        </Tabs>
    </telerik:RadTabStrip>

            <telerik:RadMultiPage ID="RadMultiPage1" runat="server" CssClass="MultiPageWithTopTabs" SelectedIndex="0" Height="400px">
                <telerik:RadPageView runat="server" ID="detailsPage" CssClass="TabPage" >
                    <div class="DetailsTab">
                    <asp:Label runat="server" AssociatedControlID="status" Text="Status:" />
                    <asp:Literal ID="status" runat="server" Text="<%#ArcanaDevelopment.adTempus.Shared.JobStatusHelpers.GetJobStatusDescription(Instance.Status)%>" /><br />

                    <asp:Label runat="server" AssociatedControlID="checkpoint" Text="Last Checkpoint:" />
                    <asp:Literal ID="checkpoint" runat="server" Text="<%#Instance.LastCheckpoint %>" /><br />

                    <asp:Label runat="server" AssociatedControlID="executionStart" Text="ExecutionStart:" />
                    <asp:Literal ID="executionStart" runat="server" Text="<%#ArcanaDevelopment.adTempus.WebConsole.DateTimeHandling.DateString(Instance.ExecutionStart)%>" /><br />

                    <asp:Label runat="server" AssociatedControlID="executionFinish" Text="ExecutionStart:" />
                    <asp:Literal ID="executionFinish" runat="server" Text="<%#ArcanaDevelopment.adTempus.WebConsole.DateTimeHandling.DateString(Instance.ExecutionFinish)%>" /><br />

                    <asp:Label runat="server"  AssociatedControlID="elapsedTime" Text="Elapsed Time:" />
                    <asp:Literal id="elapsedTime" runat="server" Text="<%#ArcanaDevelopment.adTempus.Shared.DateTimeHandling.FormatTimespan(Instance.ElapsedTime) %>" /><br />

                    <asp:Label runat="server"  AssociatedControlID="processorTime" Text="Processor Time:" />
                    <asp:Literal id="processorTime" runat="server" Text="<%#ArcanaDevelopment.adTempus.Shared.DateTimeHandling.FormatTimespan(TimeSpan.FromMilliseconds(Instance.KernelModeTime + Instance.UserModeTime))%>" /><br />

                    <asp:Label runat="server"  AssociatedControlID="executionReason" Text="Execution Reason:" />
                    <asp:Literal id="executionReason" runat="server" Text="<%#Instance.ExecutionReason%>" /><br />

                    <asp:Label runat="server"  AssociatedControlID="cycleID" Text="Cycle ID:" />
                    <asp:Literal id="cycleID" runat="server" Text="<%#Instance.CycleID%>" /><br />

                    <asp:Label runat="server"  AssociatedControlID="chainID" Text="Chain ID:" />
                    <asp:Literal id="chainID" runat="server" Text="<%#Instance.ChainID%>" />
                    </div>
                </telerik:RadPageView>
                <telerik:RadPageView runat="server" ID="jobLogPage"  CssClass="TabPage">
                    <uc1:MessageList runat="server" ID="messageList1" />
                </telerik:RadPageView>
                <telerik:RadPageView runat="server" ID="stepsPage"  CssClass="TabPage">
                    <uc1:InstanceStepList runat="server" ID="stepList1" />
                </telerik:RadPageView>
                <telerik:RadPageView runat="server" ID="capturedFilesPage"  CssClass="TabPage ">
                    <uc1:CapturedFileList runat="server" ID="capturedFileList1" />
                </telerik:RadPageView>
                <telerik:RadPageView runat="server" ID="commentsPage"  CssClass="TabPage">

                </telerik:RadPageView>
            </telerik:RadMultiPage>
</div>
</asp:Content>