﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="login.aspx.vb" Inherits="ArcanaDevelopment.adTempus.WebConsole.login" MasterPageFile="~/Site.Master" Title="Connect to Server" %>
<asp:Content runat="server" ContentPlaceHolderID="MainContent">

    <asp:Panel runat="server" ID="contentPanel" CssClass="BodyContent">
        <h1>adTempus Server Logon</h1>
        <p>To connect to an adTempus server, enter the server name or IP address.</p>
        <asp:Label runat="server" AssociatedControlID="serverSelector">Server Name or Address:</asp:Label>&nbsp;
        <telerik:RadComboBox runat="server" ID="serverSelector" DataTextField="ServerName" DataValueField="ServerName" AllowCustomText="True" Width="30em" />


        <p><b>Authentication</b></p>
        <asp:Panel runat="server" Visible="false" ID="noKerberosPanel">
            <p>Note: Automatic (Windows integrated) login is not supported for your browser configuration. <a href="http://www.arcanadev.com/go/2026">More information</a></p>
        </asp:Panel>
        <asp:Panel runat="server" Visible="false" ID="useSSLPanel">
            <p>Note: You must use a secure (https) connection to log on using explicit credentials.</p>
        </asp:Panel>
        <asp:Panel runat="server" ID="explicitWindowsPanel" CssClass="rbSection">
            <div><asp:RadioButton runat="server" ID="rbWindowsExplicit" GroupName="AuthenticationType" Text="Connect with Windows credentials:" /></div>
            <div class="Credentials">
                User ID: <asp:TextBox runat="server" ID="tbWindowsUserID"/><br />
                Password: <asp:TextBox runat="server" ID="tbWindowsPassword" TextMode="Password" />
            </div>
        </asp:Panel>
        <asp:Panel runat="server" ID="automaticWindowsPanel" CssClass="rbSection">
            <asp:RadioButton runat="server" ID="rbWindowsIntegrated" GroupName="AuthenticationType" Text="Connect as " /><br />
        </asp:Panel>
        <asp:Panel runat="server" ID="adTempusAuthenticationPanel" CssClass="rbSection">
            <div>
                <asp:RadioButton runat="server" ID="rbAdTempus" GroupName="AuthenticationType" Text="Use adTempus user ID and password:" />
            </div>
            <div class="Credentials">
                User ID: <asp:TextBox runat="server" ID="tbadTempusUserID"/><br />
                Password: <asp:TextBox runat="server" ID="tbadTempusPassword" TextMode="Password" />
            </div>
        </asp:Panel>
        <asp:Panel runat="server" ID="errorPanel" Visible="false" CssClass="message-error">
        <asp:Literal runat="server" ID="errorMessage"  />
        </asp:Panel>

        <p><asp:Button runat="server" ID="btnLogin" Text="Connect" /></p>
        <div class="VersionInfoFooter">adTempus Web Console version <asp:Literal runat="server"  ID="consoleVersion"/></div>


</asp:Panel></asp:Content>